
Extended Fields - Bug #2182

internal error opening custom fields

13 Apr 2013 17:24 - Riccardo Rocca

Status: Closed Start date: 13 Apr 2013

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.2.2   

Redmine version: 2.3.0 External issue:  

Description

Completed 500 Internal Server Error in 232ms

ActionView::Template::Error (wrong number of arguments (1 for 0)):

    1: <% projects = Project.all_public.active(:order => 'name').collect{ |project| [ project.name

, project.id ] } %>

    2: 

    3: <% unless defined? observe_field %>

    4: 

  app/models/project.rb:91:in `block in <class:Project>'

  lib/redmine/hook.rb:111:in `block in render_on'

  lib/redmine/hook.rb:61:in `block (2 levels) in call_hook'

  lib/redmine/hook.rb:61:in `each'

  lib/redmine/hook.rb:61:in `block in call_hook'

  lib/redmine/hook.rb:58:in `tap'

  lib/redmine/hook.rb:58:in `call_hook'

  lib/redmine/hook.rb:158:in `call_hook'

  app/views/custom_fields/_form.html.erb:43:in `_app_views_custom_fields__form_html_erb___77353756

__615901828'

  app/views/custom_fields/edit.html.erb:6:in `block in _app_views_custom_fields_edit_html_erb___41

7127426__616092548'

  app/helpers/application_helper.rb:944:in `labelled_form_for'

  app/views/custom_fields/edit.html.erb:5:in `_app_views_custom_fields_edit_html_erb___417127426__

616092548'

 

Environment:

  Redmine version                          2.3.0.stable

  Ruby version                             2.0.0 (i686-linux)

  Rails version                            3.2.13

  Environment                              production

  Database adapter                         Mysql2

Redmine plugins:

  advanced_roadmap                         0.8.0

  clipboard_image_paste                    1.6a

  due_date_reminder                        0.3.2

  extended_profile                         1.2.0

  google_analytics_plugin                  0.3.0-beta

  my_projects                              1.0

  openid_fix                               0.1.0

  project_overview                         1.1.0

  redmine_banner                           0.0.8

  redmine_documents_short                  0.1.0

  redmine_embedded_video                   0.0.3.1

  redmine_hide_estimated_hours             1.0.3

  redmine_hours                            0.1.0

  redmine_information                      1.0.2

  redmine_inline_note_images_plugin        0.0.1

  redmine_issue_checklist                  2.0.5
  redmine_issue_extensions                 0.2.0

  redmine_issue_status_colors              0.0.1

  redmine_open_links_in_new_window         0.0.3

  redmine_plugin_views_revisions           0.0.1

  redmine_silencer                         0.2.0

  redmine_spent_time                       2.5.0

  redmine_tags                             2.0.1-dev

  redmine_theme_changer                    0.1.0

  redmine_work_time                        0.2.11

  redmine_xls_export                       0.2.1.t2

  sidebar_hide                             0.0.2

  wiking                                   0.0.3

Related issues:

Related to Extended Fields - Bug #2153: Internal error Closed 20 Feb 2013

Related to Extended Fields - Patch #2181: Support for redmine 2.3 Closed 12 Apr 2013

Associated revisions

Revision 91 - 30 Jun 2013 18:43 - Andriy Lesyuk

Fixed #2187, #2182, #2181, #2153 and bumped to version:0.2.2

History

#1 - 15 Apr 2013 14:35 - Gregory S

The active method doesn’t seem to support arguments. You can workaround this bug by changing the first line of

plugins\extended_fields\app\views\custom_fields\_extended.html.erb

from

<% projects = Project.all_public.active(:order ⇒ 'name’).collect{ |project| [ project.name, project.id ] } %>

 

to

<% projects = Project.all_public.active.collect{ |project| [ project.name, project.id ] } %>

#2 - 16 Apr 2013 09:16 - Riccardo Rocca

Hint in #2153 and patch #2181 solved my problem. Thanks

You can close my issue

Regards

#3 - 25 May 2013 21:20 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

- Target version set to 0.2.2
http://projects.andriylesyuk.com/issues/2181


#4 - 30 Jun 2013 17:33 - Andriy Lesyuk

- Status changed from Open to In Progress

- % Done changed from 0 to 100

#5 - 30 Jun 2013 18:44 - Andriy Lesyuk

- Status changed from In Progress to Closed

Applied in changeset r91.
